Update Wallet Threshold
curl --request PATCH \
--url https://staging-partner-api.linearsend.com/wallets/threshold \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"currency": "<string>",
"threshold": 1
}
'import requests
url = "https://staging-partner-api.linearsend.com/wallets/threshold"
payload = {
"currency": "<string>",
"threshold": 1
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({currency: '<string>', threshold: 1})
};
fetch('https://staging-partner-api.linearsend.com/wallets/threshold', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://staging-partner-api.linearsend.com/wallets/threshold",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'currency' => '<string>',
'threshold' => 1
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://staging-partner-api.linearsend.com/wallets/threshold"
payload := strings.NewReader("{\n \"currency\": \"<string>\",\n \"threshold\": 1\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://staging-partner-api.linearsend.com/wallets/threshold")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"currency\": \"<string>\",\n \"threshold\": 1\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://staging-partner-api.linearsend.com/wallets/threshold")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"currency\": \"<string>\",\n \"threshold\": 1\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"statusCode": 123,
"code": "<string>",
"message": "<string>",
"data": {
"currency": "<string>",
"balance": 123,
"threshold": 123
},
"meta": {}
}{
"success": false,
"statusCode": 400,
"code": "VALIDATION_ERROR",
"message": "Validation error",
"data": null,
"meta": {}
}{
"success": false,
"statusCode": 401,
"code": "UNAUTHORIZED",
"message": "Unauthorized",
"data": null,
"meta": {}
}{
"success": false,
"statusCode": 403,
"code": "FORBIDDEN",
"message": "Forbidden",
"data": null,
"meta": {}
}{
"success": false,
"statusCode": 404,
"code": "NOT_FOUND",
"message": "Wallet not found",
"data": null,
"meta": {}
}{
"success": false,
"statusCode": 429,
"code": "RATE_LIMIT_EXCEEDED",
"message": "Rate limit exceeded",
"data": null,
"meta": {}
}{
"success": false,
"statusCode": 500,
"code": "SERVER_ERROR",
"message": "Internal server error",
"data": null,
"meta": {}
}Wallet
Update Wallet Threshold
Update the minimum threshold limit for an organization wallet of a specific currency.
PATCH
/
wallets
/
threshold
Update Wallet Threshold
curl --request PATCH \
--url https://staging-partner-api.linearsend.com/wallets/threshold \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"currency": "<string>",
"threshold": 1
}
'import requests
url = "https://staging-partner-api.linearsend.com/wallets/threshold"
payload = {
"currency": "<string>",
"threshold": 1
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({currency: '<string>', threshold: 1})
};
fetch('https://staging-partner-api.linearsend.com/wallets/threshold', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://staging-partner-api.linearsend.com/wallets/threshold",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'currency' => '<string>',
'threshold' => 1
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://staging-partner-api.linearsend.com/wallets/threshold"
payload := strings.NewReader("{\n \"currency\": \"<string>\",\n \"threshold\": 1\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://staging-partner-api.linearsend.com/wallets/threshold")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"currency\": \"<string>\",\n \"threshold\": 1\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://staging-partner-api.linearsend.com/wallets/threshold")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"currency\": \"<string>\",\n \"threshold\": 1\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"statusCode": 123,
"code": "<string>",
"message": "<string>",
"data": {
"currency": "<string>",
"balance": 123,
"threshold": 123
},
"meta": {}
}{
"success": false,
"statusCode": 400,
"code": "VALIDATION_ERROR",
"message": "Validation error",
"data": null,
"meta": {}
}{
"success": false,
"statusCode": 401,
"code": "UNAUTHORIZED",
"message": "Unauthorized",
"data": null,
"meta": {}
}{
"success": false,
"statusCode": 403,
"code": "FORBIDDEN",
"message": "Forbidden",
"data": null,
"meta": {}
}{
"success": false,
"statusCode": 404,
"code": "NOT_FOUND",
"message": "Wallet not found",
"data": null,
"meta": {}
}{
"success": false,
"statusCode": 429,
"code": "RATE_LIMIT_EXCEEDED",
"message": "Rate limit exceeded",
"data": null,
"meta": {}
}{
"success": false,
"statusCode": 500,
"code": "SERVER_ERROR",
"message": "Internal server error",
"data": null,
"meta": {}
}Authorizations
JWT access token
Body
application/json